Bug 979381 - VDSMD service overwrites /etc/multipath.conf
VDSMD service overwrites /etc/multipath.conf
Status: CLOSED WORKSFORME
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: vdsm (Show other bugs)
2.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Bala.FA
Prasanth
:
Depends On:
Blocks: 973888
  Show dependency treegraph
 
Reported: 2013-06-28 07:38 EDT by Marcel Hergaarden
Modified: 2015-11-22 21:57 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 09:21:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Hergaarden 2013-06-28 07:38:13 EDT
Description of problem:

When a customer uses multipathing to the physical storage and therefore populates /etc/multipath.conf, this configuration is overwritten by vdsmd startup.


Version-Release number of selected component (if applicable):
RHS 2.0U4


How reproducible:
Boot RHS. Configure /etc/multipath.conf and then restart vdsmd.

Steps to Reproduce:
1. Boot RHS2.0U4
2. Configure /etc/multipath.conf
3. Restart vdsmd by "service vdsmd restart"

Actual results:
/etc/multipath.conf is overwritten

Expected results:
/etc/multipath.conf expected to consistent

Additional info:
This is discovered during installation at a customers site.
As a workaround they have disabled vdsm, but this is needed later on for the RHS-C Gui component. 

Could engineering make VDSM bypass touching multipathd please ?
Comment 2 Bala.FA 2013-07-05 03:05:30 EDT
The behaviour of vdsm is to configure multipath and other services on startup if they are not matching it needs.  Adding below lines as first two lines of multipath.conf prevents vdsm to modify the file.

# Do not delete this and below line
# RHEV PRIVATE

RHS 2.0 comes with a fix bz#928311 which prevents overwrites.

Does modified /etc/multipath.conf file have above two lines?
Comment 3 Marcel Hergaarden 2013-07-05 06:15:36 EDT
Tried this solution. Works well.

The modified /etc/multipath.conf file did not have the required lines.
After adding these 2 lines at the top the issue was resolved.

This resolves the issue.
Comment 4 Bala.FA 2013-07-05 07:05:36 EDT
I would consider this bug is tracker to add this information into the admin guide of RHS.
Comment 5 Sahina Bose 2013-07-08 09:21:51 EDT
Added to doc tracker bug 973888

Note You need to log in before you can comment on or make changes to this bug.